## Class Block

    java.lang.Object
      |
      +--Statement
            |
            +--Block

public class Block
extends Statement

Field Summary
`private java.util.Hashtable` `block_para`
`private java.util.Hashtable` `HashTabelleBlock`
`private java.util.Hashtable` `HashTabelleKlasse`
`private java.lang.String` `sc_meth_ret_type`
`de.dhbwstuttgart.typeinference.Menge` `statements`

Constructor Summary
`Block()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`de.dhbwstuttgart.typeinference.Menge` `get_Statement()`
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` `set_Statement_Menge(de.dhbwstuttgart.typeinference.Menge v)`
`void` `set_Statement(Statement s)`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statements

    public de.dhbwstuttgart.typeinference.Menge statements

### HashTabelleKlasse

    private java.util.Hashtable HashTabelleKlasse

### HashTabelleBlock

    private java.util.Hashtable HashTabelleBlock

### block_para

    private java.util.Hashtable block_para

### sc_meth_ret_type

    private java.lang.String sc_meth_ret_type

Constructor Detail

### Block

    public Block()

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Specified by:
    `sc_check` in class `Statement`
    `SCStatementException`

### get_Statement

    public de.dhbwstuttgart.typeinference.Menge get_Statement()

### set_Statement

    public void set_Statement(Statement s)

### set_Statement_Menge

    public void set_Statement_Menge(de.dhbwstuttgart.typeinference.Menge v)

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`